%define name    id3lib
%define version 3.8.3

%define major 3.8_3
%define libname %mklibname id3_ %{major}

Name:		%{name}
Version:	%{version}
Release:	%mkrel 15
Summary:	A software library for manipulating ID3v1 and ID3v2 tags
Source:     http://download.sourceforge.net/id3lib/%{name}-%version.tar.xz
Patch0:		id3lib-3.8.2-doxygen.patch
Patch1:		patch_id3lib_3.8.3_UTF16_writing_bug.diff
Patch2:		id3lib-3.8.3-CVE-2007-4460.patch
Patch3:		id3lib-3.8.3-includes.patch
Patch4:		id3lib-3.8.3-vbr_buffer_overflow.diff
Patch5:		id3lib-3.8.3-link.patch
Patch6:		id3lib-3.8.3-autoreconf.patch
Patch7:		id3lib-3.8.3-zlib.patch
URL:		http://id3lib.sourceforge.net
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
License:	LGPL
Obsoletes:      id3lib-examples
Provides:	id3lib-examples
BuildRequires:  doxygen
BuildRequires:	zlib-devel

%description
This package provides a software library for manipulating ID3v1 and ID3v2 tags.
It provides a convenient interface for software developers to include 
standards-compliant ID3v1/2 tagging capabilities in their applications.  
Features include identification of valid tags, automatic size conversions, 
(re)synchronisation of tag frames, seamless tag (de)compression, and optional
padding facilities.
Included are some simple command line example applications.

%package -n %{libname}
Summary: Id3lib libraries
Group: System/Libraries

%description -n %{libname}
This package provides a software library for manipulating ID3v1 and ID3v2 tags.


%package	-n %{libname}-devel
Summary:	Headers for developing programs that will use id3lib
Group:		Development/Libraries
Requires:   %{libname} = %{version}-%release
Requires:	zlib-devel
Obsoletes:  id3lib-doc
Provides:	libid3-devel = %version-%release
Provides:	libid3lib-devel = %version-%release , id3lib-doc
Provides:	id3lib-devel = %version-%release
#for rpmlint
Provides:	libid3lib3.8-devel = %version-%release
Provides:	libid3_3.8-devel = %version-%release
Obsoletes:  %{libname}-static-devel

%description	-n %{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use id3lib, the software library for ID3v1 and ID3v2
tag manipulation.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%apply_patches

(mkdir -p doc/examples
cd examples
cp *.cpp *.c *.h *.tag *.jpg *.mp3 ../doc/examples
)

%build
autoreconf -fiv
%configure2_5x \
	--disable-static
%make_build

%install
rm -rf $RPM_BUILD_ROOT
%make_install

%make_build docs

#we don't want these
find %{buildroot} -name "*.la" -delete

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS HISTORY NEWS README THANKS TODO
%{_bindir}/*

%files -n %{libname}
%defattr(-, root, root)
%doc README COPYING
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc ChangeLog doc/*.html doc/*gif doc/*.txt doc/*.jpg doc/*.ico doc/*.css
%doc doc/api doc/examples
%{_includedir}/id3*.h
%{_includedir}/id3
%{_libdir}/*.so


%changelog
* Tue May 07 2019 tex - 3.8.3-15pclos2019
- rebuild against updates

* Sat Nov 20 2010 Texstar <texstar at gmail.com> 3.8.3-14pclos2010
- update for 2010 release

